import React from 'react'
import Button from './Button'

export default function CatalogItem({src, subtitle, descr, oldprice, price}) {
    return (
        <div className="catalog-item">
            <div className="catalog-item-wrapper">
                <div className="catalog-item-content">
                    <img src={src} alt="pulsometr" className="catalog-item-img"/>
                    <div className="catalog-item-subtitle">
                        {subtitle}
                    </div>
                    <div className="catalog-item-descr">
                        {descr}
                    </div >
                    <a href="#" className="catalog-item-link">ПОДРОБНЕЕ</a>
                </div>
            </div>

            <hr/>

            <div className="catalog-item-footer">
                <div className="catalog-item-prices">
                    <div className="catalog-item-oldprice">{oldprice}</div>
                    <div className="catalog-item-price">{price}</div>
                </div>
                <Button className="button-mini">КУПИТЬ</Button>
            </div>
        </div>
    )
}
